<template>
    <div>
        <div class="text-2xl font-semibold mt-10">Date Picker</div>
        <div class="q-pa-md" style="max-width: 300px">
            <q-input filled v-model="date" mask="date" :rules="['date']">
            <template v-slot:append>
                <q-icon name="las la-calendar" class="cursor-pointer">
                <q-popup-proxy ref="qDateProxy" transition-show="scale" transition-hide="scale">
                    <q-date class="appearingElement" v-model="date">
                    <div class="row items-center justify-end">
                        <q-btn v-close-popup label="Close" color="primary" flat />
                    </div>
                    </q-date>
                </q-popup-proxy>
                </q-icon>
            </template>
            </q-input>
        </div>
    </div>
</template>

<script>
export default {
    data() {
        return {
            date: '2019/02/01'
        }
    },
    methods: {
        onFormSubmit() {
            console.log('Submitt')
        }
    },
}
</script>

<style>

</style>